curl https://api.aioka.io/v1/webhooks \
-H "X-API-Key: aik_basic_..."
{
"webhooks": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"url": "https://your-server.com/aioka-hook",
"events": ["verdict.new"],
"is_active": true,
"created_at": "2026-04-18T10:00:00Z",
"last_triggered_at": null,
"failures_since_success": 0,
"secret": null
}
],
"count": 1
}
Webhooks (Basic+)
List Webhooks
List all webhook subscriptions for your API key.
GET
/
v1
/
webhooks
curl https://api.aioka.io/v1/webhooks \
-H "X-API-Key: aik_basic_..."
{
"webhooks": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"url": "https://your-server.com/aioka-hook",
"events": ["verdict.new"],
"is_active": true,
"created_at": "2026-04-18T10:00:00Z",
"last_triggered_at": null,
"failures_since_success": 0,
"secret": null
}
],
"count": 1
}
Overview
Returns all webhook subscriptions registered for the authenticated API key. Tier: Basic 🔒 Note: The webhook secret is not returned in list responses. It is only shown at registration time.Response
array
Array of webhook subscription objects.
integer
Total number of registered webhooks.
curl https://api.aioka.io/v1/webhooks \
-H "X-API-Key: aik_basic_..."
{
"webhooks": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"url": "https://your-server.com/aioka-hook",
"events": ["verdict.new"],
"is_active": true,
"created_at": "2026-04-18T10:00:00Z",
"last_triggered_at": null,
"failures_since_success": 0,
"secret": null
}
],
"count": 1
}